// From Network Programming for Microsoft Windows, Second Edition by 
// Anthony Jones and James Ohlund.  
// Copyright 2002.   Reproduced by permission of Microsoft Press.  
// All rights reserved.
//
//
// Common routines for resolving addresses and hostnames
//
// Files:
//      resolve.h       - Header file for common routines
//
// Description:
//      This file contains common name resolution and name printing
//      routines and is used by many of the samples on this CD.
//
// Compile:
//      See ping.cpp
//
// Usage:
//      See ping.cpp
//
#ifndef _RESOLVE_H_
#define _RESOLVE_H_

LPTSTR SockAddrToString( __in LPSOCKADDR lpsaAddress );

struct addrinfo *ResolveAddress(char *addr, char *port, int af, int type, int proto);

#endif
